<?xml version="1.0" encoding="UTF-16"?>
<Task version="1.4" xmlns="http://schemas.microsoft.com/windows/2004/02/mit/task">
	<RegistrationInfo>
		<Author>Lenovo</Author>
	</RegistrationInfo>
	<Triggers>
		<LogonTrigger>
		  <Enabled>true</Enabled>
		</LogonTrigger>	
		<LogonTrigger>
		  <Enabled>true</Enabled>
		  <Delay>PT30S</Delay>
		</LogonTrigger>
		<LogonTrigger>
			<Enabled>true</Enabled>
			<Delay>PT1M</Delay>
		</LogonTrigger>		
		<LogonTrigger>
		  <Enabled>true</Enabled>
		  <Delay>PT15M</Delay>
		</LogonTrigger>
	</Triggers>
	<Principals>
		<Principal id="Author">
			<RunLevel>HighestAvailable</RunLevel>
			<GroupId>NT AUTHORITY\SYSTEM</GroupId>
		</Principal>
	</Principals>
	<Settings>
		<MultipleInstancesPolicy>IgnoreNew</MultipleInstancesPolicy>
		<DisallowStartIfOnBatteries>false</DisallowStartIfOnBatteries>
		<StopIfGoingOnBatteries>false</StopIfGoingOnBatteries>
		<RunOnlyIfNetworkAvailable>false</RunOnlyIfNetworkAvailable>
		<IdleSettings>
			<StopOnIdleEnd>false</StopOnIdleEnd>
			<RestartOnIdle>false</RestartOnIdle>
		</IdleSettings>
		<AllowStartOnDemand>true</AllowStartOnDemand>
		<ExecutionTimeLimit>PT20M</ExecutionTimeLimit>
		<WakeToRun>false</WakeToRun>
		<RunOnlyIfIdle>false</RunOnlyIfIdle>
	</Settings>
	<Actions Context="Author">
		<Exec>
			<Command>"%windir%\system32\sc.exe"</Command>
			<Arguments>START ImControllerService</Arguments>
		</Exec>
	</Actions>
</Task>